package com.logicbig.example;

import org.springframework.beans.factory.config.BeanDefinition;
import org.springframework.context.annotation.ClassPathScanningCandidateComponentProvider;
import org.springframework.core.type.filter.AssignableTypeFilter;
import org.springframework.format.Formatter;

import java.util.Set;

public class SpringBuiltInFormatterFinder {
  public static void main(String[] args) {
      ClassPathScanningCandidateComponentProvider provider =
              new ClassPathScanningCandidateComponentProvider(false);
      provider.addIncludeFilter(new AssignableTypeFilter(Formatter.class));
      Set<BeanDefinition> components = provider.findCandidateComponents("org/springframework");
      components.stream()
                .map(BeanDefinition::getBeanClassName)
                .forEach(System.out::println);
  }
}